Bug 174760 - Provide support for more than 8 logical processors
Provide support for more than 8 logical processors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
: FutureFeature
Depends On:
Blocks: 168430
  Show dependency treegraph
 
Reported: 2005-12-01 17:26 EST by Paul Waterman
Modified: 2013-03-06 00:59 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:55:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Waterman 2005-12-01 17:26:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915

Description of problem:
Currently, RHEL 4.0 only supports a maximum of eight logical processors for the 64-bit x86_64 (AMD64/EM64T) architecture. (On the 32-bit x86 architecture, 32 logical processors are supported.)

These limits are outlined on the following Red Hat page:

http://www.redhat.com/en_us/USA/rhel/details/limits/

With the release of new multi-core processors from Intel and AMD, and new hardware from vendors supporting large numbers of processor cores, this limit is quickly becoming problematic.

For example, a multi-processor system containing 4 Intel dual core processors (e.g., Paxville) with hyperthreading enabled will show up as 16 logical processors under Linux. On x86, this works fine, but on x86_64, only 8 logical processors show up, and hyperthreading is effectively disabled.

Worse yet, on a multi-processor system containing 8 AMD dual core processors you effectively lose access to half the cores in the system under x86_64.

Intel and systems vendors assure me that Red Hat is aware of this problem and that fixes are being planned, but I've been unable to locate a bugzilla bug which is tracking this need. Thus, I'm opening this bug. If there is some internal/hidden bug to track this development, please feel free to dupe the bug. (Note that this bug is similar/related to but NOT a duplicate of Bug 147823.)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RHEL 4.0 x86_64 on a system with more than eight logical processors.
2. cat /proc/cpuinfo

Actual Results:  Only eight logical processors will be listed.

Expected Results:  All available logical processors should be listed.

Additional info:
Comment 1 Jason Baron 2006-01-26 16:16:59 EST

*** This bug has been marked as a duplicate of 163641 ***
Comment 3 Red Hat Bugzilla 2006-03-07 15:55:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.